[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ATI 3D acceleleration and dpkg-divert



Hi!

A big thanks to everybody who spare some time helping me. I now have the 3D acceleration working! My error was very stupid... As suggested by Wim, when removing my previous installation, the "dpkg --purge fglrx" command left some files that I did not erased, so I had a mix within new and old files. Deleting the directory and compiling again the kernel module was just fine. Also, I tried with two options: DRM compiled in th kernel and without DRM. The results are the same.

However, I have some problem with OpenGL. Celestia is crashing with the error: "Unable to resolve GL/GLX symbols - please check your GL library installation." and the tuxracer is not well running. When racing I can see a lot of "flashing triangles".
Is there some files I can check to see if OpenGL is well installed?
Anyway, I will try now this method (http://xoomer.virgilio.it/flavio.stanchina/debian/fglrx-installer.html) to see if it resolves my OpenGL problem.

Thanks again for the help, it's really nice to know that in this community, when you have a problem you can surely resolve it with the help of the list!

Nico


Nicolas de Sereville wrote:

Hi list,

I have an Ati 9600XT graphical card and I want to get 3D acceleration with the propriatary drivers (fglrx). I am using debian Sid with the last xserver version (4.3.0.dfsg.1-7).

Following the "ATI Radeon Linux How-To", I managed to get the 3D acceleration with the previous xserver version (4.3.0.dfsg.1-6) but overwriting the MESA libGL library with the ATI one, through a "dpkg --force-overwrite -i fglrx.deb". Everything worked well but I had a lot of troubles upgrading the xserver due to the libGL library. So I decided to make use of "dpkg-divert" as suggested on this web page (http://g-tec.co.at/ati_alt.html):

dpkg-divert --package fglrx --add /usr/X11R6/lib/libGL.so.1.2
dpkg -i fglrx_4.3.0-4.12_i386.deb


Everything went well (no complain about the libGL library) but when running "fglrxinfo", I obtain the following output showing that I am not using the ATI libGL library:

display: :0.0  screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.3 Mesa 4.0.4

So my question is (sorry for the long introduction): is there a way, using dpkg-divert, to specify which libGL library should be used (the ATI one) in order to have the 3D acceleration working?

Thank in advance,
Nico





--
:-----------------------------------------------------:
: Nicolas de SEREVILLE                                :
: I.E.E.C (Institut d'Estudis Espacials de Catalunya) :
: Campus UAB - Falcutat de Ciencies                   :
: Torre C-5 - parell -  2a planta                     :
: E-08193 Bellaterra,                                 :
: SPAIN                                               :
:                                                     :
: Tel : +34 93 581 43 59                              :
: Fax : +34 93 581 43 63                              :
: Web : http://www.ieec.fcr.es                        :
:-----------------------------------------------------:





Reply to: